package com.qmth.teachcloud.mark.bean.archivescore;

import javax.validation.constraints.NotNull;

import com.qmth.teachcloud.mark.utils.PagerQuery;

public class ArchiveStudentQuery extends PagerQuery {
	@NotNull(message = "考试Id不能为空")
	private Long examId;
	@NotNull(message = "paperNumber不能为空")
	private String paperNumber;
	private String collegeName;
	private String majorName;
	private String className;
	private String studentName;
	private String studentCode;
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public String getPaperNumber() {
		return paperNumber;
	}
	public void setPaperNumber(String paperNumber) {
		this.paperNumber = paperNumber;
	}

	public String getCollegeName() {
		return collegeName;
	}

	public void setCollegeName(String collegeName) {
		this.collegeName = collegeName;
	}

	public String getMajorName() {
		return majorName;
	}

	public void setMajorName(String majorName) {
		this.majorName = majorName;
	}

	public String getClassName() {
		return className;
	}
	public void setClassName(String className) {
		this.className = className;
	}
	public String getStudentName() {
		return studentName;
	}
	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}
	public String getStudentCode() {
		return studentCode;
	}
	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}




}
